Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F163267582
D41530.id126329.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
530 B
Referenced Files
None
Subscribers
None
D41530.id126329.diff
View Options
diff --git a/tools/boot/lua-test.sh b/tools/boot/lua-test.sh
--- a/tools/boot/lua-test.sh
+++ b/tools/boot/lua-test.sh
@@ -20,7 +20,7 @@
u=$dir/boot/userboot.so
[ -f "$u" ] || u=$obj/userboot/userboot_lua/userboot_lua.so
[ -f "$dir/boot/lua/loader.lua" ] || die "No boot/lua/loader.lua found"
-[ -f "$dir/boot/kernel/kernel" ] || die "No kernel to load"
+find "$dir/boot" -type f -name 'kernel' || die "No kernel to load"
[ -x "$t" ] || die "no userboot test jig found ($t)"
[ -f "$u" ] || die "no userboot.so ($u) found"
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Wed, Jul 22, 2:38 PM (11 h, 30 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
35367506
Default Alt Text
D41530.id126329.diff (530 B)
Attached To
Mode
D41530: tools: boot: just look for any kernel in lua-test.sh
Attached
Detach File
Event Timeline
Log In to Comment